#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const modules_1 = require("../modules");
const moduleArgv = new modules_1.ModuleArgv();
const args = moduleArgv.getNotFormatted();
const paths = fs_1.default.readdirSync(path_1.default.join(...['src', 'scripts']));
const scripts = [...paths.map((script) => `--${script.split('.script')[0]}`)];
const arg = args.filter((arg) => scripts.includes(arg))[0];
if (typeof arg !== 'string')
    throw new Error('No script');
require(`../scripts/${arg.replace('--', '')}.script`);
