"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModuleArgv = void 0;
class ModuleArgv {
    args;
    constructor() {
        this.args = [...process.argv.slice(2)];
    }
    format(name) {
        return {
            key: name.split('=')[0].replaceAll('--', '') || null,
            value: name.split('=')[1] || null,
        };
    }
    find(name) {
        const regexp = new RegExp(`${name}`);
        const arg = this.args.find((item) => (regexp.test(item) ? item : undefined));
        if (typeof arg === 'string') {
            return { ...this.format(arg) };
        }
        return {
            key: null,
            value: null,
        };
    }
    getNotFormatted() {
        return this.args;
    }
    getFormatted() {
        return this.args.map((arg) => ({
            ...this.format(arg),
        }));
    }
}
exports.ModuleArgv = ModuleArgv;
