"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModuleString = void 0;
class ModuleString {
    toCamelCase(stringInKebabCase) {
        if (stringInKebabCase.length === 0)
            return '';
        const array = stringInKebabCase.split('-');
        const firstWord = array[0];
        const otherWord = array.map((item, index) => {
            if (index > 0) {
                return `${item[0].toUpperCase()}${item.substring(1)}`;
            }
        });
        return `${firstWord}${otherWord.join('')}`;
    }
    toUpperSnakeCase(stringInKebabCase) {
        if (stringInKebabCase.length === 0)
            return '';
        const array = stringInKebabCase.split('-');
        const string = array.map((item) => item.toUpperCase());
        return string.join('_');
    }
    toLowerSnakeCase(stringInKebabCase) {
        if (stringInKebabCase.length === 0)
            return '';
        const array = stringInKebabCase.split('-');
        const string = array.map((item) => item.toLowerCase());
        return string.join('_');
    }
    toUpperKebabCase(stringInKebabCase) {
        if (stringInKebabCase.length === 0)
            return '';
        return stringInKebabCase.toUpperCase();
    }
    toLowerKebabCase(stringInKebabCase) {
        if (stringInKebabCase.length === 0)
            return '';
        return stringInKebabCase.toLowerCase();
    }
    toPascalCase(stringInKebabCase) {
        if (stringInKebabCase.length === 0)
            return '';
        const array = stringInKebabCase.split('-');
        const firstWord = `${array[0][0].toUpperCase()}${array[0].substring(1)}`;
        const otherWord = array.map((item, index) => {
            if (index > 0) {
                return `${item[0].toUpperCase()}${item.substring(1)}`;
            }
        });
        return `${firstWord}${otherWord.join('')}`;
    }
}
exports.ModuleString = ModuleString;
