"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const string_module_1 = require("./string.module");
(0, globals_1.describe)('module/string', () => {
    const module = new string_module_1.ModuleString();
    const stringInKebabCase = 'hello-world';
    (0, globals_1.test)('toCase', () => {
        (0, globals_1.expect)(module.toCamelCase(stringInKebabCase)).toBe('helloWorld');
        (0, globals_1.expect)(module.toLowerKebabCase(stringInKebabCase)).toBe('hello-world');
        (0, globals_1.expect)(module.toLowerSnakeCase(stringInKebabCase)).toBe('hello_world');
        (0, globals_1.expect)(module.toPascalCase(stringInKebabCase)).toBe('HelloWorld');
        (0, globals_1.expect)(module.toUpperKebabCase(stringInKebabCase)).toBe('HELLO-WORLD');
        (0, globals_1.expect)(module.toUpperSnakeCase(stringInKebabCase)).toBe('HELLO_WORLD');
    });
    (0, globals_1.test)('snapshot', () => {
        (0, globals_1.expect)(module.toCamelCase(stringInKebabCase)).toMatchSnapshot('helloWorld');
        (0, globals_1.expect)(module.toLowerKebabCase(stringInKebabCase)).toMatchSnapshot('hello-world');
        (0, globals_1.expect)(module.toLowerSnakeCase(stringInKebabCase)).toMatchSnapshot('hello_world');
        (0, globals_1.expect)(module.toPascalCase(stringInKebabCase)).toMatchSnapshot('HelloWorld');
        (0, globals_1.expect)(module.toUpperKebabCase(stringInKebabCase)).toMatchSnapshot('HELLO-WORLD');
        (0, globals_1.expect)(module.toUpperSnakeCase(stringInKebabCase)).toMatchSnapshot('HELLO_WORLD');
    });
});
